commit 36bca3355980c0b4cbded6867b46cc7e70cd9db0
parent 535f6e42c155f31b441d560f4e09f4a46567fc00
Author: Cem Keylan <cem@ckyln.com>
Date: Thu, 7 May 2020 22:31:20 +0300
shinit: add new package at git to cem
Diffstat:
5 files changed, 15 insertions(+), 0 deletions(-)
diff --git a/cem/shinit/build b/cem/shinit/build
@@ -0,0 +1,7 @@
+#!/bin/sh -e
+
+make DESTDIR="$1" PREFIX=/usr install
+
+install -Dm755 -t "$1/usr/bin" poweroff
+ln -s poweroff "$1/usr/bin/reboot"
+ln -s shinit "$1/usr/bin/init"
diff --git a/cem/shinit/checksums b/cem/shinit/checksums
@@ -0,0 +1,2 @@
+git git+/home/cem/Projects/shinit
+4d7a6ddcf195939f14053df3567ff27cdd6f9b8275eb2abcf25153ca64e36ee1 poweroff
diff --git a/cem/shinit/files/poweroff b/cem/shinit/files/poweroff
@@ -0,0 +1,3 @@
+#!/bin/bash
+[ "$(id -u)" -eq 0 ] || exit 1
+/lib/init/rc.shutdown ${0##*/} & disown
diff --git a/cem/shinit/sources b/cem/shinit/sources
@@ -0,0 +1,2 @@
+git+/home/cem/Projects/shinit
+files/poweroff
diff --git a/cem/shinit/version b/cem/shinit/version
@@ -0,0 +1 @@
+git 1